# AccountNFTsResponse | xrpl
Documentation for xrpl

# Interface AccountNFTsResponse

Response expected from an AccountNFTsRequest.

#### Hierarchy

- BaseResponse
  - AccountNFTsResponse

- Defined in packages/xrpl/src/models/methods/accountNFTs.ts:46

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
account: string;
account_nfts: AccountNFToken [];
ledger_current_index: number;
limit?: number;
marker?: unknown;
validated: boolean;
}

#### Type declaration

- ##### account: string

  The account requested.

- ##### account_nfts: AccountNFToken []

  A list of NFTs owned by the specified account.

- ##### ledger_current_index: number

  The ledger index of the current open ledger, which was used when retrieving this information.

- ##### `Optional` limit?: number

  The limit that was used to fulfill this request.

- ##### `Optional` marker?: unknown

  Server-defined value indicating the response is paginated. Pass this to the next call to resume where this call left off. Omitted when there are No additional pages after this one.

- ##### validated: boolean

  If true, this data comes from a validated ledger.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountNFTs.ts:47

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc